Next: Commands Up: CalculiX USER'S MANUAL - Previous: Quit Contents

#
Command Line Options

The following options provided at startup are known:

     usage: cgx [-b|-g|-c] filename
      -b  build-mode, geometry file in fbd-format can be provided
      -c  read an solver input file (ccx, Abaqus)
      -duns2d  read duns result files (2D)
      -duns3d  read duns result files (3D)
      -g  use element-group-numbers from the result-file

If no option is provided than a result-file is assumed, see ``Result Format''. A file containing commands is assumed if the option -b is specified. This is the only way to read geometric information and it will be created if you ``exit'' the program after you have created geometry. But with option -b the program will start also if no file is specified. In case the so called group number of the element-definition is used in the result file, the program must be started with the option -g, otherwise the program will overwrite the group-numbers during startup, see ``group''. An input deck for the solver can be read with option -c, see ``send''. Certain key-words are known and the affected nodes or elements are stored in sets. Default sets are bou1 - bou6 to store nodes which are restricted in the corresponding degree of freedom and the sets dep and ind to store dependent and independent nodes used in equations.

Next: Commands Up: CalculiX USER'S MANUAL - Previous: Quit Contents